Bug 714958 - [PATCH] incorrect bit-shift in pntohl() macro
Summary: [PATCH] incorrect bit-shift in pntohl() macro
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dsniff
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-21 12:45 UTC by Matthew Boyle
Modified: 2014-01-04 22:46 UTC (History)
1 user (show)

Fixed In Version: dsniff-2.4-0.17.b1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 850496 (view as bug list)
Environment:
Last Closed: 2012-08-16 15:14:38 UTC


Attachments (Terms of Use)
patch. (631 bytes, application/octet-stream)
2011-06-21 12:45 UTC, Matthew Boyle
no flags Details

Description Matthew Boyle 2011-06-21 12:45:08 UTC
Created attachment 505818 [details]
patch.

the left-shift should be 8 bits, not 18.

Comment 1 Fedora End Of Life 2012-08-16 15:14:44 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora Update System 2013-12-20 22:17:34 UTC
dsniff-2.4-0.17.b1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dsniff-2.4-0.17.b1.fc20

Comment 3 Fedora Update System 2013-12-20 22:18:25 UTC
dsniff-2.4-0.17.b1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dsniff-2.4-0.17.b1.fc19

Comment 4 Fedora Update System 2013-12-20 22:19:15 UTC
dsniff-2.4-0.17.b1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dsniff-2.4-0.17.b1.fc18

Comment 5 Fedora Update System 2013-12-20 22:20:14 UTC
dsniff-2.4-0.17.b1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dsniff-2.4-0.17.b1.el6

Comment 6 Fedora Update System 2013-12-20 22:21:04 UTC
dsniff-2.4-0.17.b1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dsniff-2.4-0.17.b1.el5

Comment 7 Fedora Update System 2013-12-22 05:30:13 UTC
dsniff-2.4-0.17.b1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-12-22 05:32:37 UTC
dsniff-2.4-0.17.b1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-12-22 05:41:51 UTC
dsniff-2.4-0.17.b1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-12-22 17:34:55 UTC
dsniff-2.4-0.17.b1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-01-04 22:46:24 UTC
dsniff-2.4-0.17.b1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.